{"openapi":"3.0.4","info":{"title":"[EARLY ACCESS] Delete a virtual transaction override","description":"Reverts the override for the specified instrument event by cancelling all active override transactions\r\nand deleting the cancel instruction, restoring the original virtual transactions to an active state.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/overridevirtualtransactions":{"delete":{"tags":["Transaction Portfolios"],"summary":"[EARLY ACCESS] Delete a virtual transaction override","description":"Reverts the override for the specified instrument event by cancelling all active override transactions\r\nand deleting the cancel instruction, restoring the original virtual transactions to an active state.","operationId":"DeleteVirtualTransactionOverride","parameters":[{"name":"scope","in":"path","description":"The scope of the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the transaction portfolio. Together with the scope this uniquely identifies the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"instrumentEventId","in":"query","description":"The ID of the instrument event whose override should be reverted.","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[^\\\\<>&\\\"]+$","type":"string"}},{"name":"portfolioEffectiveAt","in":"query","description":"The effective datetime used to resolve the portfolio. Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string"}}],"responses":{"200":{"description":"The datetime that the override was deleted","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}